Foreman - Bug #7013

apipie-rails 0.2.3 is incompatible with 1.8.7
08/10/2014 07:37 PM - Daniel Lobato Garcia

Status: Closed
Priority: Normal
Assignee: Daniel Lobato Garcia
Category: Packaging
Target version: 1.6.0
Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1672
Description

Discovered after repeated failed jobs on 1.8.7 -
http://ci.theforeman.org/view/Core/job/test develop/795/database=postgresql.ruby=1.8.7/console

Error in apipie-rails is trivial, apipie-rails requires pinning on Foreman until its solved.

Related issues:
Related to Foreman - Tracker #4656: Drop Ruby 1.8 support Closed

Associated revisions

Revision 33a90a9e - 08/11/2014 02:54 AM - Daniel Lobato Garcia
Fixes #7013 - pin apipie-rails to < 0.2.3

0.2.3 was released with a Ruby 1.8.7 incompatible syntax method
definition

Revision c586ad99 - 08/11/2014 03:32 AM - Dominic Cleal
refs #7013 - pin apipie-rails to < 0.2.3

Revision 028aa63a - 08/11/2014 08:27 AM - Daniel Lobato Garcia
Fixes #7013 - pin apipie-rails to < 0.2.3

0.2.3 was released with a Ruby 1.8.7 incompatible syntax method
definition

(cherry picked from commit 33a90a9eecef8cc7105706a9d492f01d39e55b2a)

History

#1 - 08/10/2014 07:40 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1672 added
- Pull request deleted ()

#2 - 08/11/2014 02:54 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#3 - 08/11/2014 02:55 AM - Dominic Cleal
- Related to Tracker #4656: Drop Ruby 1.8 support added

#4 - 08/11/2014 03:01 AM - Daniel Lobato Garcia
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
http://ci.theforeman.org/view/Core/job/test_develop/795/database=postgresql,ruby=1.8.7/console

Applied in changeset 33a90a9eecef8cc7105706a9d492f01d39e55b2a.
